<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
    <style>
        .task-list--item {
            cursor: pointer;
            position: relative;
        }
        
        .task-list--item-completed,
        .task-list--item-completed:focus,
        .task-list-item-completed:hover {
            text-decoration: line-through !important;
        }
        
        .tasks-board {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
            gap: 14px;
            padding: 40px;
        }
        
        .tasks-board .card {
            margin: 0;
        }
        
        .icon-del {
            position: absolute;
            right: 4px;
            top: 4px;
            cursor: pointer;
            display: none;
        }
        
        .task-list--item:hover .icon-del {
            display: block;
        }
        
        .card-header {
            display: flex;
            justify-content: space-between;
            padding-right: 30px;
        }
        
        .icon-add-task {
            cursor: pointer;
        }
        
        .card-header:hover .icon-del {
            display: block;
        }
        
        .modal-form {
            position: fixed;
            transform: translate(-50%, -50%);
            top: 50%;
            left: 50%;
            z-index: 1;
            background-color: bisque;
            padding: 50px;
        }
        
        .modal-form input {
            display: block;
            margin: 20px;
        }
    </style>
</head>

<body>
    <header>
        <button id="btn-new-user" class="btn btn-primary">Add User</button>
    </header>
    <div class="card-deck tasks-board">
    </div>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script type="module" src="./index.js"></script>
</body>

</html>